# \Thelia\Model\MapMessageI18nTableMap

This class defines the structure of the 'message_i18n' table.

This map class is used by Propel to do runtime db structure discovery. For example, the createSelectSql() method checks the type of a given column used in an ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive (i.e. if it's a text column type).

## Summary

Methods
Properties
Constants
initialize()
buildRelations()
addInstanceToPool()
removeInstanceFromPool()
getPrimaryKeyHashFromRow()
getPrimaryKeyFromRow()
getOMClass()
populateObject()
populateObjects()
addSelectColumns()
getTableMap()
buildTableMap()
doDelete()
doDeleteAll()
doInsert()
No public properties found
CLASS_NAME
DATABASE_NAME
TABLE_NAME
OM_CLASS
CLASS_DEFAULT
NUM_COLUMNS
NUM_LAZY_LOAD_COLUMNS
NUM_HYDRATE_COLUMNS
ID
LOCALE
TITLE
DESCRIPTION
DESCRIPTION_HTML
DEFAULT_STRING_FORMAT
No protected methods found
$fieldNames
$fieldKeys
N/A
No private methods found
No private properties found
N/A

File
  Model/Map/MessageI18nTableMap.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\Map\TableMap
  \Thelia\Model\Map\MessageI18nTableMap

## Tags

None found

## Constants

### CLASS_NAME

    CLASS_NAME

The (dot-path) name of this class

#

## Tags

None found

### DATABASE_NAME

    DATABASE_NAME

The default database name for this class

#

## Tags

None found

### TABLE_NAME

    TABLE_NAME

The table name for this class

#

## Tags

None found

### OM_CLASS

    OM_CLASS

The related Propel class for this table

#

## Tags

None found

### CLASS_DEFAULT

    CLASS_DEFAULT

A class that can be returned by this tableMap

#

## Tags

None found

### NUM_COLUMNS

    NUM_COLUMNS

The total number of columns

#

## Tags

None found

### NUM_LAZY_LOAD_COLUMNS

    NUM_LAZY_LOAD_COLUMNS

The number of lazy-loaded columns

#

## Tags

None found

### NUM_HYDRATE_COLUMNS

    NUM_HYDRATE_COLUMNS

The number of columns to hydrate (NUM_COLUMNS - NUM_LAZY_LOAD_COLUMNS)

#

## Tags

None found

### ID

    ID

the column name for the ID field

#

## Tags

None found

### LOCALE

    LOCALE

the column name for the LOCALE field

#

## Tags

None found

### TITLE

    TITLE

the column name for the TITLE field

#

## Tags

None found

### DESCRIPTION

    DESCRIPTION

the column name for the DESCRIPTION field

#

## Tags

None found

### DESCRIPTION_HTML

    DESCRIPTION_HTML

the column name for the DESCRIPTION_HTML field

#

## Tags

None found

### DEFAULT_STRING_FORMAT

    DEFAULT_STRING_FORMAT

The default string format for model objects of the related table

#

## Tags

None found

## Properties

### $fieldNames

    $fieldNames

holds an array of fieldnames

first dimension keys are the type constants e.g. self::$fieldNames[self::TYPE_PHPNAME][0] = 'Id'

#

## Tags

None found

### $fieldKeys

    $fieldKeys

holds an array of keys for quick access to the fieldnames array

first dimension keys are the type constants e.g. self::$fieldKeys[self::TYPE_PHPNAME]['Id'] = 0

#

## Tags

None found

## Methods

### initialize()

    initialize() : void

Initialize the table attributes and columns Relations are not initialized by this method since they are lazy loaded

#### Throws

\Propel\Runtime\Exception\PropelException

#

## Tags

None found

### buildRelations()

    buildRelations()

Build the RelationMap objects for this table relationships

#

## Tags

None found

### addInstanceToPool()

    addInstanceToPool(\Thelia\Model\MessageI18n $obj, string $key)

Adds an object to the instance pool.

Propel keeps cached copies of objects in an instance pool when they are retrieved from the database. In some cases you may need to explicitly add objects to the cache in order to ensure that the same objects are always returned by find() and findPk() calls.

#### Parameters

\Thelia\Model\MessageI18n | $obj | A \Thelia\Model\MessageI18n object.
string | $key | (optional) key to use for instance map (for performance boost if key was already calculated externally).

#

static

## Tags

None found

### removeInstanceFromPool()

    removeInstanceFromPool(mixed $value)

Removes an object from the instance pool.

Propel keeps cached copies of objects in an instance pool when they are retrieved from the database. In some cases -- especially when you override doDelete methods in your stub classes -- you may need to explicitly remove objects from the cache in order to prevent returning objects that no longer exist.

#### Parameters

mixed | $value | A \Thelia\Model\MessageI18n object or a primary key value.

#

static

## Tags

None found

### getPrimaryKeyHashFromRow()

    getPrimaryKeyHashFromRow(array $row, int $offset, string $indexType)

Retrieves a string version of the primary key from the DB resultset row that can be used to uniquely identify a row in this table.

For tables with a single-column primary key, that simple pkey value will be returned. For tables with a multi-column primary key, a serialize()d version of the primary key will be returned.

#### Parameters

array | $row | resultset row.
int | $offset | The 0-based offset for reading from the resultset row.
string | $indexType | One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM

#

static

## Tags

None found

### getPrimaryKeyFromRow()

    getPrimaryKeyFromRow(array $row, int $offset, string $indexType) : mixed

Retrieves the primary key from the DB resultset row For tables with a single-column primary key, that simple pkey value will be returned. For tables with a multi-column primary key, an array of the primary key columns will be returned.

#### Parameters

array | $row | resultset row.
int | $offset | The 0-based offset for reading from the resultset row.
string | $indexType | One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM

#### Returns

mixed —

The primary key of the row

#

static

## Tags

None found

### getOMClass()

    getOMClass(boolean $withPrefix) : string

The class that the tableMap will make instances of.

If $withPrefix is true, the returned path uses a dot-path notation which is translated into a path relative to a location on the PHP include_path. (e.g. path.to.MyClass -> 'path/to/MyClass.php')

#### Parameters

boolean | $withPrefix | Whether or not to return the path with the class name

#### Returns

string —

path.to.ClassName

#

static

## Tags

None found

### populateObject()

    populateObject(array $row, int $offset, string $indexType) : array

Populates an object of the default type or an object that inherit from the default.

#### Parameters

array | $row | row returned by DataFetcher->fetch().
int | $offset | The 0-based offset for reading from the resultset row.
string | $indexType | The index type of $row. Mostly DataFetcher->getIndexType(). One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM.

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

array —

(MessageI18n object, last column rank)

#

static

## Tags

None found

### populateObjects()

    populateObjects(\Thelia\Model\Map\DataFetcherInterface $dataFetcher) : array

The returned array will contain objects of the default type or objects that inherit from the default.

#### Parameters

\Thelia\Model\Map\DataFetcherInterface | $dataFetcher |

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

array

#

static

## Tags

None found

### addSelectColumns()

    addSelectColumns(\Propel\Runtime\ActiveQuery\Criteria $criteria, string $alias)

Add all the columns needed to create a new object.

Note: any columns that were marked with lazyLoad="true" in the XML schema will not be added to the select list and only loaded on demand.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | object containing the columns to add.
string | $alias | optional table alias

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#

static

## Tags

None found

### getTableMap()

    getTableMap() : \Propel\Runtime\Map\TableMap

Returns the TableMap related to this object.

This method is not needed for general use but a specific application could have a need.

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

\Propel\Runtime\Map\TableMap

#

static

## Tags

None found

### buildTableMap()

    buildTableMap()

Add a TableMap instance to the database for this tableMap class.

#

static

## Tags

None found

### doDelete()

    doDelete(mixed $values, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a MessageI18n or Criteria object OR a primary key value.

#### Parameters

mixed | $values | Criteria or MessageI18n object or primary key or array of primary keys which is used to create the DELETE statement
\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

static

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the message_i18n table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

static

## Tags

None found

### doInsert()

    doInsert(mixed $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : mixed

Performs an INSERT on the database, given a MessageI18n or Criteria object.

#### Parameters

mixed | $criteria | Criteria or MessageI18n object containing data that is used to create the INSERT statement.
\Propel\Runtime\Connection\ConnectionInterface | $con | the ConnectionInterface connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

mixed —

The new primary key.

#

static

## Tags

None found

### MessageI18nTableMap.php